package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.teacher.SmartEvaluateTdetail;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 评分表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-02
 */
public interface SmartEvaluateTdetailService extends IService<SmartEvaluateTdetail> {

    public int insertSmartEvaluateTdetail(SmartEvaluateTdetail sa);

    public int updateSmartEvaluateTdetail(SmartEvaluateTdetail sa);

    public PageUtils<SmartEvaluateTdetail> queryPageSmartEvaluateTdetail(int currentPage, int pageCount, QueryWrapper<SmartEvaluateTdetail> queryWrapper);

    public int deleteSmartEvaluateTdetailById(int id);

    public SmartEvaluateTdetail getSmartEvaluateTdetailById(int id);

    public List<SmartEvaluateTdetail> getEvaluateTdetailList();

    public List<SmartEvaluateTdetail> getEvaluateTdetailByKey(QueryWrapper<SmartEvaluateTdetail> queryWrapper);

    public Double getAvgEvaluateScore(String term, String scoreItem);

}
